"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class CommonCnvSummary(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "countAutosomalConradCnvPass",
        "fractionAutosomalConradCnvPass",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_7 import metrics as metrics_1_2_2

        return {
            "org.gel.models.report.avro.CommonCnvSummary": metrics_1_2_2.CommonCnvSummary,
        }

    __slots__ = [
        "countAutosomalConradCnvPass",
        "fractionAutosomalConradCnvPass",
    ]

    def __init__(
        self,
        countAutosomalConradCnvPass,
        fractionAutosomalConradCnvPass,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_2_2.CommonCnvSummary model.

        :param countAutosomalConradCnvPass:
            count of sample CNVs present in Conrad CNVs set (i.e. count of common
            CNVs)
        :type countAutosomalConradCnvPass: double
        :param fractionAutosomalConradCnvPass:
            fraction of sample CNVs present in Conrad CNVs set (i.e.
            countAutosomalConradCnvPass/countAutosomalCnvPass)
        :type fractionAutosomalConradCnvPass: double
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.2.2"
